> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取 Iframe 组件列表

> 列出当前认证用户的所有可嵌入组件配置。

## 响应

<ResponseField name="configs" type="array">
  Iframe 配置数组。每项包含 `id`、`name`、`status`、`api_key_id`、`appearance`、`behavior`、`security`、`created_at`、`updated_at`。
</ResponseField>

## 认证

需要仪表盘会话。

## 示例

```bash curl theme={null}
curl https://www.hitheo.ai/api/v1/iframes \
  -H "Authorization: Bearer $THEO_API_KEY"
```

### 响应

```json theme={null}
{
  "configs": [
    {
      "id": "cfg_abc123",
      "name": "Support Widget",
      "status": "active",
      "api_key_id": "key_abc123",
      "appearance": { "primaryColor": "#715eac" },
      "behavior": { "welcomeMessage": "Hi! How can I help?" },
      "created_at": "2026-04-15T12:00:00.000Z"
    }
  ]
}
```

## 管理

* `PATCH /api/v1/iframes/{id}` — 更新配置
* `DELETE /api/v1/iframes/{id}` — 删除
* `POST /api/v1/iframes/{id}/duplicate` — 克隆配置
* `POST /api/v1/iframes/{id}/preview-token` — 生成预览令牌
* `POST /api/v1/iframes/{id}/verify` — 验证域名所有权


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.